
/*
***	Copyright:	1994-1996 Gnter Woigk
  				mailto:kio@little-bat.de

 	This program is distributed in the hope that it will be useful,
 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

 	Permission to use, copy, modify, distribute, and sell this software and
 	its documentation for any purpose is hereby granted without fee, provided
 	that the above copyright notice appear in all copies and that both that
 	copyright notice and this permission notice appear in supporting
 	documentation, and that the name of the copyright holder not be used
 	in advertising or publicity pertaining to distribution of the software
 	without specific, written prior permission.  The copyright holder makes no
 	representations about the suitability of this software for any purpose.
 	It is provided "as is" without express or implied warranty.

 	THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 	INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 	EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 	DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 	TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 	PERFORMANCE OF THIS SOFTWARE.
*/


//	Window data
//	-----------

extern	RGBColor	rgb[16];
extern	long		pap[256];
extern	long		ink[256];

#define	frame_cycles	70000		// exact amount of T cycles per frame
#define	line_cycles		224			// exact amount of T cycles per video line
#define	above_scrn		64			// video lines above screen used for hires screen refresh

#define	syncborder		-1
#define	databorder		-2

#define	immediate		1
#define	offscreen		2
extern	short	force_offscreen;

extern	WindowPtr	zxwindow;

extern	Char	*old_screen;
extern	Char	*old_pixels;		// what IS displayed
extern	Char	*old_attr;
extern	Char	*old_end;

extern	Char	*video_page;		// address of actual video RAM
extern	Char	*new_screen;
extern	Char	*new_pixels;		// what SHOULD be displayed
extern	Char	*new_attr;
extern	Char	*new_end;

extern	short	scrnsize;			// 1 or 2
extern	short	hborder;			// 16*n; border left & right of writable interior screen
extern	short	vborder;			// 16*n; border above & below of writable interior screen
extern	short	blkborder;

extern	short	bordercolor;		// which color should the border be?
extern	long	*brdrlog;
extern	long	*brdrlogptr;
extern	long	*brdrlogend;

extern	Rect	specciRect[];

extern	Boolean	blacked_out;
extern	Boolean	mbar_present;


//	Function declarations
//	---------------------

extern			InitDisplay			( );
extern	OSErr	NewSpecciWindow		( short size );
extern			DisposeSpecciWindow	( );
extern			UpdateSpecciWindow	( );
extern			RefreshSpecciWindow	( );
extern			SetSpecciWindowName	( Char* name );

#define	multi_window	0
#define	black_out		1
#define	show_mbar		1
#define	hide_mbar		2
extern			MBarControl			( short flag );




