
/*
***	Copyright:	1994-1996 Gnter Woigk
  				mailto:kio@little-bat.de

 	This program is distributed in the hope that it will be useful,
 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

 	Permission to use, copy, modify, distribute, and sell this software and
 	its documentation for any purpose is hereby granted without fee, provided
 	that the above copyright notice appear in all copies and that both that
 	copyright notice and this permission notice appear in supporting
 	documentation, and that the name of the copyright holder not be used
 	in advertising or publicity pertaining to distribution of the software
 	without specific, written prior permission.  The copyright holder makes no
 	representations about the suitability of this software for any purpose.
 	It is provided "as is" without express or implied warranty.

 	THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 	INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 	EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 	DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 	TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 	PERFORMANCE OF THIS SOFTWARE.
*/


// ----	return mnenonic with symbolic arguments for instructions
#define	Mnemonic(OP)		mnemonic(mnemo(OP))
#define	MnemonicCB(OP)		mnemonic(mnemoCB(OP))
#define	MnemonicED(OP)		mnemonic(mnemoED(OP))
#define	MnemonicIX(OP)		mnemonic(mnemoIX(OP))
#define	MnemonicIXCB(OP)	mnemonic(mnemoIXCB(OP))
#define	MnemonicIY(OP)		mnemonic(mnemoIY(OP))
#define	MnemonicIYCB(OP)	mnemonic(mnemoIYCB(OP))

extern	int		OpcodeLength	( Char op1, Char op2 );

extern	int 	IllegalCB 		( Char op2 );
extern	int 	IllegalED 		( Char op2 );
extern	int 	IllegalXX 		( Char op2 );
extern	int 	IllegalXXCB		( Char op4 );

extern	string	Disassemble		( Short *ip);

#define	legal		0
#define	illegal		1
#define	weird		2


// functions intended for use with macros MnemonicNN() only
extern	string	mnemonic	( Char *m  );
extern	Char*	mnemo		( Char op1 );
extern	Char*	mnemoCB		( Char op2 );
extern	Char*	mnemoED		( Char op2 );
extern	Char*	mnemoIX		( Char op2 );
extern	Char*	mnemoIXCB	( Char op4 );
extern	Char*	mnemoIY		( Char op2 );
extern	Char*	mnemoIYCB	( Char op4 );

